# MPI_Graph_get

Retrieves graph topology information associated with a communicator

## Synopsis

    #include "mpi.h"
    int MPI_Graph_get ( MPI_Comm comm, int maxindex, int maxedges,
                       int *index, int *edges )

## Input Parameters

| comm | communicator with graph structure (handle)
| maxindex | length of vector `index` in the calling program (integer)
| maxedges | length of vector `edges` in the calling program (integer)

## Output Parameter

| index | array of integers containing the graph structure (for details see the definition of `MPI_GRAPH_CREATE`)
| edges | array of integers containing the graph structure

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

## Errors

All MPI routines (except `MPI_Wtime` and `MPI_Wtick`) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with `MPI_Errhandler_set`; the predefined error handler `MPI_ERRORS_RETURN` may be used to cause error values to be returned. Note that MPI does not guarentee that an MPI program can continue past an error.

MPI_SUCCESS
  No error; MPI routine completed successfully.

MPI_ERR_TOPOLOGY
  Invalid topology. Either there is no topology associated with this communicator, or it is not the correct type (e.g., `MPI_CART` when expecting `MPI_GRAPH`).

MPI_ERR_COMM
  Invalid communicator. A common error is to use a null communicator in a call (not even allowed in `MPI_Comm_rank`).

MPI_ERR_ARG
  Invalid argument. Some argument is invalid and is not identified by a specific error class (e.g., `MPI_ERR_RANK`).

Location:graph_get.c